<!DOCTYPE html> <!--tells browser to read as an HTML file-->
<html lang="en"> <!--Root Elements -->
<head> <!--Head Tag- To read Metadata- gives info or describes data-->
    <meta charset="UTF-8"> <!--sets character set for the page-->
    <title>HTML Notes</title> <!-- Title tag -->
</head>
<body> <!--Body Tag-->

--HTML -Hypertext Markup Language
--wildly used in web browsers
--naming conventions file camelCase.
<!-- Comments are created/ single line comments  -->
<!--Hi my name is karen -->
Elements VS. Tags
<!--head -- <head></head>-->
Elements
    Block vs Inline
Block= elements that take up the width of the screen even though the content inside of it does not
    Ex.
    <div></div>
    <ol></ol>
    <h1></h1>-<h6></h6>
    <table></table>
    <hr>
    <ul></ul>
    <dd></dd>
    <li></li>
    <form action=""></form>


Inline = elements that take up exactly as much space as they need
    Ex.
    <span></span>
    <input type="text">
    <script></script>
    <br>
    <strong></strong>
    <em></em>

Void Elements = elements that contain no closing tag, but will have a opening tag
    Ex.
    <hr>
    <br>
    <embed src="" type="">
    <img src="" alt="">
    <input type="text">


Attributes= properties of the element. Can also contain additional data

</body>
</html>
